NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAE::UserDefinedSolidBeamSectionBuilder Class Reference

Represents a NXOpen::CAE::UserDefinedSolidBeamSectionBuilder
To create a new instance of this class, use NXOpen::CAE::BeamSectionCollection::CreateUserDefinedSolidBeamSectionBuilder

Created in NX7.5.0. More...

Inheritance diagram for NXOpen::CAE::UserDefinedSolidBeamSectionBuilder:
NXOpen::CAE::IBeamSectionBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXString DescriptorName ()
 Returns the section descriptor name
Created in NX7.5.0. More...
 
NXOpen::CAE::BeamSection::DirectionOption DirectionType ()
 Returns the option to define reference vector
Created in NX7.5.0. More...
 
NXOpen::DirectionReferenceVector ()
 Returns the reference vector
Created in NX7.5.0. More...
 
void SetDescriptorName (const NXString &descriptorName)
 Sets the section descriptor name
Created in NX7.5.0. More...
 
void SetDescriptorName (const char *descriptorName)
 Sets the section descriptor name
Created in NX7.5.0. More...
 
void SetDirectionType (NXOpen::CAE::BeamSection::DirectionOption directionType)
 Sets the option to define reference vector
Created in NX7.5.0. More...
 
void SetReferenceVector (NXOpen::Direction *referenceVector)
 Sets the reference vector
Created in NX7.5.0. More...
 
NXOpen::CAE::SelectCAEFaceSolidFace ()
 Returns the solid face
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::CAE::IBeamSectionBuilder
void GetUserDefinedStressRecoveryPoints (std::vector< NXOpen::Point2d > &points)
 Gets the user-defined stress recovery points. More...
 
NXOpen::CAE::PropertyTablePropertyTable ()
 Returns the section builder's NXOpen::CAE::PropertyTable
Created in NX7.5.0. More...
 
NXString SectionName ()
 Returns the section name
Created in NX7.5.0. More...
 
void SetSectionName (const NXString &sectionName)
 Sets the section name
Created in NX7.5.0. More...
 
void SetSectionName (const char *sectionName)
 Sets the section name
Created in NX7.5.0. More...
 
void SetUserDefinedStressRecoveryPoints (const std::vector< NXOpen::Point2d > &points)
 Sets the user-defined stress recovery points. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::UserDefinedSolidBeamSectionBuilder
To create a new instance of this class, use NXOpen::CAE::BeamSectionCollection::CreateUserDefinedSolidBeamSectionBuilder

Created in NX7.5.0.


Member Function Documentation

NXString NXOpen::CAE::UserDefinedSolidBeamSectionBuilder::DescriptorName ( )

Returns the section descriptor name
Created in NX7.5.0.



License requirements : None

NXOpen::CAE::BeamSection::DirectionOption NXOpen::CAE::UserDefinedSolidBeamSectionBuilder::DirectionType ( )

Returns the option to define reference vector
Created in NX7.5.0.



License requirements : None

NXOpen::Direction* NXOpen::CAE::UserDefinedSolidBeamSectionBuilder::ReferenceVector ( )

Returns the reference vector
Created in NX7.5.0.



License requirements : None

void NXOpen::CAE::UserDefinedSolidBeamSectionBuilder::SetDescriptorName ( const NXString descriptorName)

Sets the section descriptor name
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
descriptorNamedescriptorname
void NXOpen::CAE::UserDefinedSolidBeamSectionBuilder::SetDescriptorName ( const char *  descriptorName)

Sets the section descriptor name
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
descriptorNamedescriptorname
void NXOpen::CAE::UserDefinedSolidBeamSectionBuilder::SetDirectionType ( NXOpen::CAE::BeamSection::DirectionOption  directionType)

Sets the option to define reference vector
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
directionTypedirectiontype
void NXOpen::CAE::UserDefinedSolidBeamSectionBuilder::SetReferenceVector ( NXOpen::Direction referenceVector)

Sets the reference vector
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
referenceVectorreferencevector
NXOpen::CAE::SelectCAEFace* NXOpen::CAE::UserDefinedSolidBeamSectionBuilder::SolidFace ( )

Returns the solid face
Created in NX7.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.